def main():
  (N, M, K) = tuple(map(int, input().split()))

  # Mnożymy ilość ryb przez 2, aby wszystkie operacje
  # wykonywać na liczbach całkowitych.
  M *= 2 

  # Dopóki mamy zasoby (pieniądze, ryby)
  # oraz możemy wykonywać operacje (K)
  while N > 0 and M > 0 and K > 0:
    # Liczymy ile ryb możemy kupić.
    # Pamiętamy że ilość ryb jest podwojona.
    moge_kupic = min(N, M)

    # Aktualizujemy ile pieniędzy mamy.
    N -= moge_kupic
    # Oraz ile ryb mamy po tej transakcji.
    # Pamiętamy że ilość ryb jest podwojona.
    M += moge_kupic
    # Oraz zmniejszamy liczbę dostępnych operacji.
    K -= 1

  # Finalnie wypisujemy wynik w formacie z jedną
  # cyfrą po przecinku.
  czesc_calkowita = str(M // 2)
  czesc_ulamkowa = "0" if M % 2 == 0 else "5"
  print(czesc_calkowita+"."+czesc_ulamkowa)

if __name__ == "__main__":
    main()